Index: src/mainboard/Makefile.k8_ck804.inc
===================================================================
--- src/mainboard/Makefile.k8_ck804.inc	(revision 5096)
+++ src/mainboard/Makefile.k8_ck804.inc	(working copy)
@@ -51,12 +51,3 @@
 ldscripts += $(src)/southbridge/nvidia/ck804/romstrap.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/iwill/dk8_htx/Makefile.inc
===================================================================
--- src/mainboard/iwill/dk8_htx/Makefile.inc	(revision 5096)
+++ src/mainboard/iwill/dk8_htx/Makefile.inc	(working copy)
@@ -50,12 +50,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/axus/tc320/Kconfig
===================================================================
--- src/mainboard/axus/tc320/Kconfig	(revision 5096)
+++ src/mainboard/axus/tc320/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC97317
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/bcom/winnetp680/Makefile.inc
===================================================================
--- src/mainboard/bcom/winnetp680/Makefile.inc	(revision 5096)
+++ src/mainboard/bcom/winnetp680/Makefile.inc	(working copy)
@@ -42,12 +42,3 @@
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 crt0s += $(src)/cpu/x86/mmx_disable.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/bcom/winnet100/Kconfig
===================================================================
--- src/mainboard/bcom/winnet100/Kconfig	(revision 5096)
+++ src/mainboard/bcom/winnet100/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC97317
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/televideo/tc7020/Kconfig
===================================================================
--- src/mainboard/televideo/tc7020/Kconfig	(revision 5096)
+++ src/mainboard/televideo/tc7020/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC97317
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/thomson/ip1000/Kconfig
===================================================================
--- src/mainboard/thomson/ip1000/Kconfig	(revision 5096)
+++ src/mainboard/thomson/ip1000/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_INTEL_I82830
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/supermicro/x6dai_g/Kconfig
===================================================================
--- src/mainboard/supermicro/x6dai_g/Kconfig	(revision 5096)
+++ src/mainboard/supermicro/x6dai_g/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_INTEL_E7525
 	select SOUTHBRIDGE_INTEL_ESB6300
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/supermicro/h8dmr/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dmr/Makefile.inc	(revision 5096)
+++ src/mainboard/supermicro/h8dmr/Makefile.inc	(working copy)
@@ -45,12 +45,3 @@
 ldscripts += $(src)/southbridge/nvidia/mcp55/romstrap.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/supermicro/x6dhe_g/Kconfig
===================================================================
--- src/mainboard/supermicro/x6dhe_g/Kconfig	(revision 5096)
+++ src/mainboard/supermicro/x6dhe_g/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_ESB6300
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/supermicro/h8dme/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dme/Makefile.inc	(revision 5096)
+++ src/mainboard/supermicro/h8dme/Makefile.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/southbridge/nvidia/mcp55/romstrap.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/supermicro/h8dmr_fam10/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dmr_fam10/Makefile.inc	(revision 5096)
+++ src/mainboard/supermicro/h8dmr_fam10/Makefile.inc	(working copy)
@@ -38,12 +38,3 @@
 ldscripts += $(src)/cpu/x86/32bit/entry32.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/supermicro/x6dhe_g2/Kconfig
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/Kconfig	(revision 5096)
+++ src/mainboard/supermicro/x6dhe_g2/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I82801ER
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SUPERIO_NSC_PC87427
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/supermicro/h8qme_fam10/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8qme_fam10/Makefile.inc	(revision 5096)
+++ src/mainboard/supermicro/h8qme_fam10/Makefile.inc	(working copy)
@@ -38,12 +38,3 @@
 ldscripts += $(src)/cpu/x86/32bit/entry32.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/supermicro/x6dhr_ig/Kconfig
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/Kconfig	(revision 5096)
+++ src/mainboard/supermicro/x6dhr_ig/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I82801ER
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/supermicro/x6dhr_ig2/Kconfig
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/Kconfig	(revision 5096)
+++ src/mainboard/supermicro/x6dhr_ig2/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I82801ER
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/soyo/sy-6ba-plus-iii/Kconfig
===================================================================
--- src/mainboard/soyo/sy-6ba-plus-iii/Kconfig	(revision 5096)
+++ src/mainboard/soyo/sy-6ba-plus-iii/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_ITE_IT8671F
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/kontron/986lcd-m/Makefile.inc
===================================================================
--- src/mainboard/kontron/986lcd-m/Makefile.inc	(revision 5096)
+++ src/mainboard/kontron/986lcd-m/Makefile.inc	(working copy)
@@ -45,12 +45,3 @@
 ldscripts := $(src)/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscripts += $(src)/cpu/x86/32bit/entry32.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/kontron/kt690/Makefile.inc
===================================================================
--- src/mainboard/kontron/kt690/Makefile.inc	(revision 5096)
+++ src/mainboard/kontron/kt690/Makefile.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/a-trend/atc-6240/Kconfig
===================================================================
--- src/mainboard/a-trend/atc-6240/Kconfig	(revision 5096)
+++ src/mainboard/a-trend/atc-6240/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/a-trend/atc-6220/Kconfig
===================================================================
--- src/mainboard/a-trend/atc-6220/Kconfig	(revision 5096)
+++ src/mainboard/a-trend/atc-6220/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/gigabyte/m57sli/Makefile.inc
===================================================================
--- src/mainboard/gigabyte/m57sli/Makefile.inc	(revision 5096)
+++ src/mainboard/gigabyte/m57sli/Makefile.inc	(working copy)
@@ -56,9 +56,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc	(revision 5096)
+++ src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc	(working copy)
@@ -51,9 +51,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/gigabyte/ga-6bxc/Kconfig
===================================================================
--- src/mainboard/gigabyte/ga-6bxc/Kconfig	(revision 5096)
+++ src/mainboard/gigabyte/ga-6bxc/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_ITE_IT8671F
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/digitallogic/msm800sev/Makefile.inc
===================================================================
--- src/mainboard/digitallogic/msm800sev/Makefile.inc	(revision 5096)
+++ src/mainboard/digitallogic/msm800sev/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/digitallogic/adl855pc/Kconfig
===================================================================
--- src/mainboard/digitallogic/adl855pc/Kconfig	(revision 5096)
+++ src/mainboard/digitallogic/adl855pc/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_INTEL_I855PM
 	select SOUTHBRIDGE_INTEL_I82801DBM
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_1024
 
Index: src/mainboard/digitallogic/msm586seg/Kconfig
===================================================================
--- src/mainboard/digitallogic/msm586seg/Kconfig	(revision 5096)
+++ src/mainboard/digitallogic/msm586seg/Kconfig	(working copy)
@@ -4,6 +4,7 @@
 	select CPU_AMD_SC520
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_512
+	select ROMCC
 
 config MAINBOARD_DIR
 	string
Index: src/mainboard/olpc/btest/Kconfig
===================================================================
--- src/mainboard/olpc/btest/Kconfig	(revision 5096)
+++ src/mainboard/olpc/btest/Kconfig	(working copy)
@@ -4,6 +4,7 @@
 	select CPU_AMD_GX2
 	select NORTHBRIDGE_AMD_GX2
 	select SOUTHBRIDGE_AMD_CS5536
+	select ROMCC
 	select UDELAY_TSC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/olpc/rev_a/Kconfig
===================================================================
--- src/mainboard/olpc/rev_a/Kconfig	(revision 5096)
+++ src/mainboard/olpc/rev_a/Kconfig	(working copy)
@@ -4,6 +4,7 @@
 	select CPU_AMD_GX2
 	select NORTHBRIDGE_AMD_GX2
 	select SOUTHBRIDGE_AMD_CS5536
+	select ROMCC
 	select UDELAY_TSC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/mitac/6513wu/Kconfig
===================================================================
--- src/mainboard/mitac/6513wu/Kconfig	(revision 5096)
+++ src/mainboard/mitac/6513wu/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/emulation/qemu-x86/Kconfig
===================================================================
--- src/mainboard/emulation/qemu-x86/Kconfig	(revision 5096)
+++ src/mainboard/emulation/qemu-x86/Kconfig	(working copy)
@@ -3,6 +3,7 @@
 	select ARCH_X86
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select CPU_EMULATION_QEMU_X86
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
 	select WARNINGS_ARE_ERRORS
Index: src/mainboard/technologic/ts5300/Kconfig
===================================================================
--- src/mainboard/technologic/ts5300/Kconfig	(revision 5096)
+++ src/mainboard/technologic/ts5300/Kconfig	(working copy)
@@ -2,6 +2,7 @@
 	bool "TS-5300"
 	select ARCH_X86
 	select CPU_AMD_SC520
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_128
 
Index: src/mainboard/amd/pistachio/Makefile.inc
===================================================================
--- src/mainboard/amd/pistachio/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/pistachio/Makefile.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/amd/dbm690t/Makefile.inc
===================================================================
--- src/mainboard/amd/dbm690t/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/dbm690t/Makefile.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/amd/rumba/Kconfig
===================================================================
--- src/mainboard/amd/rumba/Kconfig	(revision 5096)
+++ src/mainboard/amd/rumba/Kconfig	(working copy)
@@ -24,6 +24,7 @@
 	select CPU_AMD_GX2
 	select NORTHBRIDGE_AMD_GX2
 	select SOUTHBRIDGE_AMD_CS5536
+	select ROMCC
 	select UDELAY_TSC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/amd/serengeti_cheetah/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/serengeti_cheetah/Makefile.inc	(working copy)
@@ -51,12 +51,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/amd/norwich/Makefile.inc
===================================================================
--- src/mainboard/amd/norwich/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/norwich/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(working copy)
@@ -49,13 +49,3 @@
 ldscripts += $(src)/cpu/x86/32bit/entry32.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-
-endif
-
Index: src/mainboard/amd/db800/Makefile.inc
===================================================================
--- src/mainboard/amd/db800/Makefile.inc	(revision 5096)
+++ src/mainboard/amd/db800/Makefile.inc	(working copy)
@@ -19,12 +19,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/biostar/m6tba/Kconfig
===================================================================
--- src/mainboard/biostar/m6tba/Kconfig	(revision 5096)
+++ src/mainboard/biostar/m6tba/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/azza/pt-6ibd/Kconfig
===================================================================
--- src/mainboard/azza/pt-6ibd/Kconfig	(revision 5096)
+++ src/mainboard/azza/pt-6ibd/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/nec/powermate2000/Kconfig
===================================================================
--- src/mainboard/nec/powermate2000/Kconfig	(revision 5096)
+++ src/mainboard/nec/powermate2000/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/rca/rm4100/Kconfig
===================================================================
--- src/mainboard/rca/rm4100/Kconfig	(revision 5096)
+++ src/mainboard/rca/rm4100/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_INTEL_I82830
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/iei/nova4899r/Kconfig
===================================================================
--- src/mainboard/iei/nova4899r/Kconfig	(revision 5096)
+++ src/mainboard/iei/nova4899r/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select HAVE_OPTION_TABLE
Index: src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc
===================================================================
--- src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc	(revision 5096)
+++ src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/iei/juki-511p/Kconfig
===================================================================
--- src/mainboard/iei/juki-511p/Kconfig	(revision 5096)
+++ src/mainboard/iei/juki-511p/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_WINBOND_W83977F
+	select ROMCC
 	select PIRQ_ROUTE
 	select HAVE_OPTION_TABLE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/hp/e_vectra_p2706t/Kconfig
===================================================================
--- src/mainboard/hp/e_vectra_p2706t/Kconfig	(revision 5096)
+++ src/mainboard/hp/e_vectra_p2706t/Kconfig	(working copy)
@@ -28,6 +28,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_NSC_PC87360
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/artecgroup/dbe61/Makefile.inc
===================================================================
--- src/mainboard/artecgroup/dbe61/Makefile.inc	(revision 5096)
+++ src/mainboard/artecgroup/dbe61/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/pcengines/alix1c/Makefile.inc
===================================================================
--- src/mainboard/pcengines/alix1c/Makefile.inc	(revision 5096)
+++ src/mainboard/pcengines/alix1c/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/tyan/s2912/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2912/Makefile.inc	(revision 5096)
+++ src/mainboard/tyan/s2912/Makefile.inc	(working copy)
@@ -53,9 +53,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/tyan/s2735/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2735/Makefile.inc	(revision 5096)
+++ src/mainboard/tyan/s2735/Makefile.inc	(working copy)
@@ -49,12 +49,3 @@
 ldscripts += $(src)/arch/i386/lib/failover.lds
 ldscripts += $(src)/cpu/x86/car/cache_as_ram.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/tyan/s1846/Kconfig
===================================================================
--- src/mainboard/tyan/s1846/Kconfig	(revision 5096)
+++ src/mainboard/tyan/s1846/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_NSC_PC87309
+	select ROMCC
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
 
Index: src/mainboard/tyan/s2912_fam10/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2912_fam10/Makefile.inc	(revision 5096)
+++ src/mainboard/tyan/s2912_fam10/Makefile.inc	(working copy)
@@ -46,9 +46,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/asi/mb_5blgp/Kconfig
===================================================================
--- src/mainboard/asi/mb_5blgp/Kconfig	(revision 5096)
+++ src/mainboard/asi/mb_5blgp/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC87351
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/asi/mb_5blmp/Kconfig
===================================================================
--- src/mainboard/asi/mb_5blmp/Kconfig	(revision 5096)
+++ src/mainboard/asi/mb_5blmp/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC87351
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/lippert/roadrunner-lx/Makefile.inc
===================================================================
--- src/mainboard/lippert/roadrunner-lx/Makefile.inc	(revision 5096)
+++ src/mainboard/lippert/roadrunner-lx/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/lippert/frontrunner/Kconfig
===================================================================
--- src/mainboard/lippert/frontrunner/Kconfig	(revision 5096)
+++ src/mainboard/lippert/frontrunner/Kconfig	(working copy)
@@ -4,6 +4,7 @@
 	select CPU_AMD_GX2
 	select NORTHBRIDGE_AMD_GX2
 	select SOUTHBRIDGE_AMD_CS5535
+	select ROMCC
 	select UDELAY_TSC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/lippert/spacerunner-lx/Makefile.inc
===================================================================
--- src/mainboard/lippert/spacerunner-lx/Makefile.inc	(revision 5096)
+++ src/mainboard/lippert/spacerunner-lx/Makefile.inc	(working copy)
@@ -20,12 +20,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/abit/be6-ii_v2_0/Kconfig
===================================================================
--- src/mainboard/abit/be6-ii_v2_0/Kconfig	(revision 5096)
+++ src/mainboard/abit/be6-ii_v2_0/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/via/epia-m700/Makefile.inc
===================================================================
--- src/mainboard/via/epia-m700/Makefile.inc	(revision 5096)
+++ src/mainboard/via/epia-m700/Makefile.inc	(working copy)
@@ -44,15 +44,3 @@
 crt0s += $(src)/cpu/via/car/cache_as_ram.inc
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o: $(src)/mainboard/$(MAINBOARDDIR)/dsdt.c
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c $< -o $@
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/via/vt8454c/Makefile.inc
===================================================================
--- src/mainboard/via/vt8454c/Makefile.inc	(revision 5096)
+++ src/mainboard/via/vt8454c/Makefile.inc	(working copy)
@@ -40,12 +40,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/via/epia-m/Makefile.inc
===================================================================
--- src/mainboard/via/epia-m/Makefile.inc	(revision 5096)
+++ src/mainboard/via/epia-m/Makefile.inc	(working copy)
@@ -44,12 +44,3 @@
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 crt0s += $(src)/cpu/x86/mmx_disable.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/via/epia-n/Makefile.inc
===================================================================
--- src/mainboard/via/epia-n/Makefile.inc	(revision 5096)
+++ src/mainboard/via/epia-n/Makefile.inc	(working copy)
@@ -41,12 +41,3 @@
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 crt0s += $(src)/cpu/x86/mmx_disable.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/via/epia-cn/Kconfig
===================================================================
--- src/mainboard/via/epia-cn/Kconfig	(revision 5096)
+++ src/mainboard/via/epia-cn/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_VIA_CN700
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SUPERIO_VIA_VT1211
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_512
 
Index: src/mainboard/via/epia/Makefile.inc
===================================================================
--- src/mainboard/via/epia/Makefile.inc	(revision 5096)
+++ src/mainboard/via/epia/Makefile.inc	(working copy)
@@ -37,12 +37,3 @@
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 crt0s += $(src)/cpu/x86/mmx_disable.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/via/pc2500e/Kconfig
===================================================================
--- src/mainboard/via/pc2500e/Kconfig	(revision 5096)
+++ src/mainboard/via/pc2500e/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_VIA_CN700
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SUPERIO_ITE_IT8716F
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select SMP
Index: src/mainboard/dell/s1850/Kconfig
===================================================================
--- src/mainboard/dell/s1850/Kconfig	(revision 5096)
+++ src/mainboard/dell/s1850/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I82801ER
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SUPERIO_NSC_PC8374
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/compaq/deskpro_en_sff_p600/Kconfig
===================================================================
--- src/mainboard/compaq/deskpro_en_sff_p600/Kconfig	(revision 5096)
+++ src/mainboard/compaq/deskpro_en_sff_p600/Kconfig	(working copy)
@@ -26,6 +26,7 @@
 	select SOUTHBRIDGE_INTEL_I82371EB
 	# should be SUPERIO_NSC_PC97307!
 	select SUPERIO_NSC_PC97317
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/roda/rk886ex/Makefile.inc
===================================================================
--- src/mainboard/roda/rk886ex/Makefile.inc	(revision 5096)
+++ src/mainboard/roda/rk886ex/Makefile.inc	(working copy)
@@ -53,12 +53,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/msi/ms6119/Kconfig
===================================================================
--- src/mainboard/msi/ms6119/Kconfig	(revision 5096)
+++ src/mainboard/msi/ms6119/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/msi/ms6147/Kconfig
===================================================================
--- src/mainboard/msi/ms6147/Kconfig	(revision 5096)
+++ src/mainboard/msi/ms6147/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/msi/ms6156/Kconfig
===================================================================
--- src/mainboard/msi/ms6156/Kconfig	(revision 5096)
+++ src/mainboard/msi/ms6156/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/msi/ms9282/Makefile.inc
===================================================================
--- src/mainboard/msi/ms9282/Makefile.inc	(revision 5096)
+++ src/mainboard/msi/ms9282/Makefile.inc	(working copy)
@@ -53,9 +53,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/msi/ms6178/Kconfig
===================================================================
--- src/mainboard/msi/ms6178/Kconfig	(revision 5096)
+++ src/mainboard/msi/ms6178/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_WINBOND_W83627HF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_512
 
Index: src/mainboard/msi/ms7260/Makefile.inc
===================================================================
--- src/mainboard/msi/ms7260/Makefile.inc	(revision 5096)
+++ src/mainboard/msi/ms7260/Makefile.inc	(working copy)
@@ -51,9 +51,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/Makefile.k8_CAR.inc
===================================================================
--- src/mainboard/Makefile.k8_CAR.inc	(revision 5096)
+++ src/mainboard/Makefile.k8_CAR.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/advantech/pcm-5820/Kconfig
===================================================================
--- src/mainboard/advantech/pcm-5820/Kconfig	(revision 5096)
+++ src/mainboard/advantech/pcm-5820/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_WINBOND_W83977F
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/eaglelion/5bcm/Kconfig
===================================================================
--- src/mainboard/eaglelion/5bcm/Kconfig	(revision 5096)
+++ src/mainboard/eaglelion/5bcm/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_AMD_GX1
 	select SOUTHBRIDGE_AMD_CS5530
 	select SUPERIO_NSC_PC97317
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select UDELAY_TSC
Index: src/mainboard/Makefile.romccboard.inc
===================================================================
--- src/mainboard/Makefile.romccboard.inc	(revision 5096)
+++ src/mainboard/Makefile.romccboard.inc	(working copy)
@@ -67,20 +67,3 @@
 obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_HAVE_HARD_RESET) += reset.o
 
-ifdef POST_EVALUATION
-
-ROMCCFLAGS ?= -mcpu=p2 -O2
-
-$(obj)/mainboard/$(MAINBOARDDIR)/failover.inc: $(obj)/romcc $(src)/arch/i386/lib/failover.c
-	$(obj)/romcc $(ROMCCFLAGS) --label-prefix=failover $(INCLUDES) $(src)/arch/i386/lib/failover.c -o $@
-
-ifeq ($(CONFIG_HAVE_OPTION_TABLE),y)
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(obj)/romcc $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h $(obj)/build.h
-	$(obj)/romcc $(ROMCCFLAGS) $(INCLUDES) $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-else
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(obj)/romcc $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/build.h
-	$(obj)/romcc $(ROMCCFLAGS) $(INCLUDES) $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-endif
-
-endif
-
Index: src/mainboard/jetway/j7f24/Makefile.inc
===================================================================
--- src/mainboard/jetway/j7f24/Makefile.inc	(revision 5096)
+++ src/mainboard/jetway/j7f24/Makefile.inc	(working copy)
@@ -38,12 +38,3 @@
 crt0s += $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc
 crt0s += $(src)/cpu/x86/mmx_disable.inc
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/technexion/tim8690/Makefile.inc
===================================================================
--- src/mainboard/technexion/tim8690/Makefile.inc	(revision 5096)
+++ src/mainboard/technexion/tim8690/Makefile.inc	(working copy)
@@ -46,12 +46,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/technexion/tim5690/Makefile.inc
===================================================================
--- src/mainboard/technexion/tim5690/Makefile.inc	(revision 5096)
+++ src/mainboard/technexion/tim5690/Makefile.inc	(working copy)
@@ -52,12 +52,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/nvidia/l1_2pvv/Makefile.inc
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Makefile.inc	(revision 5096)
+++ src/mainboard/nvidia/l1_2pvv/Makefile.inc	(working copy)
@@ -53,9 +53,4 @@
 $(obj)/mainboard/$(MAINBOARDDIR)/ap_romstage.o: $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/ap_romstage.c -o $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
 endif
Index: src/mainboard/intel/xe7501devkit/Kconfig
===================================================================
--- src/mainboard/intel/xe7501devkit/Kconfig	(revision 5096)
+++ src/mainboard/intel/xe7501devkit/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I82870
 	select SOUTHBRIDGE_INTEL_I82801CA
 	select SUPERIO_SMSC_LPC47B272
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select UDELAY_TSC
Index: src/mainboard/intel/d945gclf/Makefile.inc
===================================================================
--- src/mainboard/intel/d945gclf/Makefile.inc	(revision 5096)
+++ src/mainboard/intel/d945gclf/Makefile.inc	(working copy)
@@ -49,12 +49,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/intel/truxton/Kconfig
===================================================================
--- src/mainboard/intel/truxton/Kconfig	(revision 5096)
+++ src/mainboard/intel/truxton/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_I3100
 	select SUPERIO_INTEL_I3100
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select UDELAY_TSC
Index: src/mainboard/intel/mtarvon/Kconfig
===================================================================
--- src/mainboard/intel/mtarvon/Kconfig	(revision 5096)
+++ src/mainboard/intel/mtarvon/Kconfig	(working copy)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_INTEL_I3100
 	select SOUTHBRIDGE_INTEL_I3100
 	select SUPERIO_INTEL_I3100
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select UDELAY_TSC
Index: src/mainboard/intel/eagleheights/Makefile.inc
===================================================================
--- src/mainboard/intel/eagleheights/Makefile.inc	(revision 5096)
+++ src/mainboard/intel/eagleheights/Makefile.inc	(working copy)
@@ -24,12 +24,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/intel/jarrell/Kconfig
===================================================================
--- src/mainboard/intel/jarrell/Kconfig	(revision 5096)
+++ src/mainboard/intel/jarrell/Kconfig	(working copy)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_INTEL_PXHD
 	select SOUTHBRIDGE_INTEL_I82801ER
 	select SUPERIO_NSC_PC87427
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select UDELAY_TSC
Index: src/mainboard/asus/mew-am/Kconfig
===================================================================
--- src/mainboard/asus/mew-am/Kconfig	(revision 5096)
+++ src/mainboard/asus/mew-am/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_SMSCSUPERIO
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/asus/p2b/Kconfig
===================================================================
--- src/mainboard/asus/p2b/Kconfig	(revision 5096)
+++ src/mainboard/asus/p2b/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/asus/p2b-d/Kconfig
===================================================================
--- src/mainboard/asus/p2b-d/Kconfig	(revision 5096)
+++ src/mainboard/asus/p2b-d/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select SMP
Index: src/mainboard/asus/p2b-f/Kconfig
===================================================================
--- src/mainboard/asus/p2b-f/Kconfig	(revision 5096)
+++ src/mainboard/asus/p2b-f/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/asus/a8v-e_se/Makefile.inc
===================================================================
--- src/mainboard/asus/a8v-e_se/Makefile.inc	(revision 5096)
+++ src/mainboard/asus/a8v-e_se/Makefile.inc	(working copy)
@@ -25,12 +25,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/asus/p2b-ds/Kconfig
===================================================================
--- src/mainboard/asus/p2b-ds/Kconfig	(revision 5096)
+++ src/mainboard/asus/p2b-ds/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select SMP
Index: src/mainboard/asus/p3b-f/Kconfig
===================================================================
--- src/mainboard/asus/p3b-f/Kconfig	(revision 5096)
+++ src/mainboard/asus/p3b-f/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
 	select SUPERIO_WINBOND_W83977TF
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/asus/mew-vm/Kconfig
===================================================================
--- src/mainboard/asus/mew-vm/Kconfig	(revision 5096)
+++ src/mainboard/asus/mew-vm/Kconfig	(working copy)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_SMSC_LPC47B272
+	select ROMCC
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/asus/a8n_e/Makefile.inc
===================================================================
--- src/mainboard/asus/a8n_e/Makefile.inc	(revision 5096)
+++ src/mainboard/asus/a8n_e/Makefile.inc	(working copy)
@@ -43,12 +43,3 @@
 ldscripts += $(src)/arch/i386/lib/id.lds
 ldscripts += $(src)/arch/i386/lib/failover.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/mainboard/asus/m2v-mx_se/Makefile.inc
===================================================================
--- src/mainboard/asus/m2v-mx_se/Makefile.inc	(revision 5096)
+++ src/mainboard/asus/m2v-mx_se/Makefile.inc	(working copy)
@@ -37,12 +37,3 @@
 ldscripts := $(src)/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscripts += $(src)/cpu/x86/32bit/entry32.lds
 
-ifdef POST_EVALUATION
-
-$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/option_table.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/romstage.c -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
-
-endif
-
Index: src/arch/i386/Kconfig
===================================================================
--- src/arch/i386/Kconfig	(revision 5096)
+++ src/arch/i386/Kconfig	(working copy)
@@ -49,6 +49,10 @@
 	default n if TINY_BOOTBLOCK
 	default y
 
+config ROMCC
+	bool
+	default n
+
 config BOOTBLOCK_NORTHBRIDGE_INIT
 	string
 
Index: src/arch/i386/Makefile.inc
===================================================================
--- src/arch/i386/Makefile.inc	(revision 5096)
+++ src/arch/i386/Makefile.inc	(working copy)
@@ -66,8 +66,29 @@
 ifeq ($(crt0s),)
 $(error crt0s are empty. If your board still uses crt0-y and ldscript-y: It shouldn't, we moved away from that in r5065)
 endif
+
+OPTION_TABLE_H:=
+ifeq ($(CONFIG_HAVE_OPTION_TABLE),y)
+OPTION_TABLE_H:=$(obj)/option_table.h
 endif
 
+ifeq ($(CONFIG_ROMCC),y)
+ROMCCFLAGS ?= -mcpu=p2 -O2
+
+$(obj)/mainboard/$(MAINBOARDDIR)/failover.inc: $(obj)/romcc $(src)/arch/i386/lib/failover.c
+	$(obj)/romcc $(ROMCCFLAGS) --label-prefix=failover $(INCLUDES) $(src)/arch/i386/lib/failover.c -o $@
+
+$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(obj)/romcc $(OPTION_TABLE_H) $(obj)/build.h
+	$(obj)/romcc $(ROMCCFLAGS) $(INCLUDES) $< -o $@
+
+else
+$(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(OPTION_TABLE_H) $(obj)/build.h
+	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S $< -o $@
+	perl -e 's/\.rodata/.rom.data/g' -pi $@
+	perl -e 's/\.text/.section .rom.text/g' -pi $@
+endif
+endif
+
 ifeq ($(CONFIG_TINY_BOOTBLOCK),y)
 include $(src)/arch/i386/Makefile.tinybootblock.inc
 else
